Loading...
Searching...
No Matches
line.c File Reference
`#include "arc/graphics/line.h"`
`#include "renderer.h"`
`#include <stdlib.h>`

Go to the source code of this file.

## Functions

void | ARC_Line_Render (int32_t *x1, int32_t *y1, int32_t *x2, int32_t *y2, ARC_Renderer *renderer, ARC_Color *color)

## Function Documentation

## ARC_Line_Render()

void ARC_Line_Render | ( | int32_t * | x1,
|  | int32_t * | y1,
|  | int32_t * | x2,
|  | int32_t * | y2,
|  | ARC_Renderer * | renderer,
|  | ARC_Color * | color )

Definition at line 5 of file line.c.

{
SDL_SetRenderDrawColor((SDL_Renderer *)renderer, color->r, color->g, color->b, color->a);
SDL_RenderDrawLine((SDL_Renderer *)renderer, *x1, *y1, *x2, *y2);
}
ARC_Color::a
uint8_t a
Definition color.h:11
ARC_Color::r
uint8_t r
Definition color.h:11
ARC_Color::b
uint8_t b
Definition color.h:11
ARC_Color::g
uint8_t g
Definition color.h:11

References ARC_Color::a, ARC_Color::b, ARC_Color::g, and ARC_Color::r.